% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muñoz

% Segmentación, método S1
% Analysis of natural images processing for the extraction of agricultural
% elements. Image Vision Comput. 28(1): 138-149 (2010)
function im = S1(A,r,g,b,umb)
[f,c,x] = size(A);
temp = zeros(f,c); 

A = A*255;

temp = r*A(:,:,1)+g*A(:,:,2)+b*A(:,:,3);
temp= 255-temp;
temp(temp>255)=255;
temp(temp<0)=0;

im=temp;

im(temp>=umb)=0;
im(temp<umb)=255;
